## javax.servlet.jsp.jstl.core
Class IteratedExpression

    java.lang.Object
      javax.servlet.jsp.jstl.core.IteratedExpression

    public final class IteratedExpression

extends Object

Version:
  $Id: IteratedExpression.java,v 1.7 2007/05/06 02:17:13 tcfujii Exp $
Author:
  Kin-man Chung

Field Summary
`protected String` `delims`
`protected ValueExpression` `orig`

Constructor Summary
`IteratedExpression(ValueExpression orig, String delims)`

Method Summary
`Object` `getItem(ELContext context, int i)` Evaluates the stored ValueExpression and return the indexed item.
`ValueExpression` `getValueExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orig

    protected final ValueExpression orig

### delims

    protected final String delims

Constructor Detail

### IteratedExpression

    public IteratedExpression(ValueExpression orig,
                              String delims)

Method Detail

### getItem

    public Object getItem(ELContext context,
                          int i)

  Evaluates the stored ValueExpression and return the indexed item.

  Parameters:
    `context` - The ELContext used to evaluate the ValueExpression
    `i` - The index of the item to be retrieved

### getValueExpression

    public ValueExpression getValueExpression()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.